-
 KDE-Apps.org Applications for the KDE-Desktop 
 GTK-Apps.org Applications using the GTK Toolkit 
 GnomeFiles.org Applications for GNOME 
 MeeGo-Central.org Applications for MeeGo 
 CLI-Apps.org Command Line Applications 
 Qt-Apps.org Free Qt Applications 
 Qt-Prop.org Proprietary Qt Applications 
 Maemo-Apps.org Applications for the Maemo Plattform 
 Java-Apps.org Free Java Applications 
 eyeOS-Apps.org Free eyeOS Applications 
 Wine-Apps.org Wine Applications 
 Server-Apps.org Server Applications 
 apps.ownCloud.com ownCloud Applications 
--
-
 KDE-Look.org Artwork for the KDE-Desktop 
 GNOME-Look.org Artwork for the GNOME-Desktop 
 Xfce-Look.org Artwork for the Xfce-Desktop 
 Box-Look.org Artwork for your Windowmanager 
 E17-Stuff.org Artwork for Enlightenment 
 Beryl-Themes.org Artwork for the Beryl Windowmanager 
 Compiz-Themes.org Artwork for the Compiz Windowmanager 
 EDE-Look.org Themes for your EDE Desktop 
--
-
 Debian-Art.org Stuff for Debian 
 Gentoo-Art.org Artwork for Gentoo Linux 
 SUSE-Art.org Artwork for openSUSE 
 Ubuntu-Art.org Artwork for Ubuntu 
 Kubuntu-Art.org Artwork for Kubuntu 
 LinuxMint-Art.org Artwork for Linux Mint 
 Arch-Stuff.org Art And Stuff for Arch Linux 
 Frugalware-Art.org Themes for Frugalware 
 Fedora-Art.org Artwork for Fedora Linux 
 Mandriva-Art.org Artwork for Mandriva Linux 
--
-
 KDE-Files.org Files for KDE Applications 
 OpenTemplate.org Documents for OpenOffice.org
 GIMPStuff.org Files for GIMP
 InkscapeStuff.org Files for Inkscape
 ScribusStuff.org Files for Scribus
 BlenderStuff.org Textures and Objects for Blender
 VLC-Addons.org Themes and Extensions for VLC
--
-
 KDE-Help.org Support for your KDE Desktop 
 GNOME-Help.org Support for your GNOME Desktop 
 Xfce-Help.org Support for your Xfce Desktop 
--
openDesktop.orgopenDesktop.org:   Applications   Artwork   Linux Distributions   Documents    LinuxDaily.com    Linux42.org    OpenSkillz.com   
 
Artwork
News
Groups
Knowledge
Events
Forum
People
Jobs
Register
Login



Sponsoring


-
- Content .- Fans (2) .- Knowledge Base  . 

Simple mount Iso service menu

   1.0  

KDE Service Menu

Score 63%
Simple mount Iso service menu
zoom


Simple mount Iso service menu
zoom


Simple mount Iso service menu
zoom


Minimum required   KDE 4.x
Downloads:  3221
Submitted:  Feb 12 2012
Updated:  Mar 20 2014

Description:

This is a simple mount image service menu.

Thanks to janet and feder77 for help and suggestions

How work:

MOUNT:
- right click on iso image
- select \\\"Actions\\\" -> \\\"mount iso\\\"
- select folder where mount
- insert root password
- mounted!

UNMOUNT:
- since kde 4.9, mounted image are listed in the "places" panel. Right click on mounted image then click "unmount"




Changelog:

Version 1.2

- Correct file with space handling (thx to Jtalk)

Version 1.1

- use kdesu or kdesudo dinamically
- menu moved into actions menu
- removed "unmount" option




LicenseLGPL
(iso service menu)
Send to a friend
Subscribe
Other  Artwork  from virgolus
Report inappropriate content



goto page:  1  2 

-

 it don`t work to me !

 
 by whererun on: Feb 16 2012
 
Score 50%

kde 4.8
kernel 3.2.6


Reply to this

-

 Re: it don`t work to me !

 
 by whererun on: Feb 16 2012
 
Score 50%

fedora 16 x64


Reply to this

-

 Re: Re: it don`t work to me !

 
 by virgolus on: Feb 16 2012
 
Score 50%

The command launched is this:

mntDir=$(kdialog --getexistingdirectory ~/) && echo $(kdialog --password "insert root password") | sudo -S mount -o loop -t iso9660 %u $mntDir; dolphin $mntDir;

Now:
1) try to type in console this command:
kdialog --getexistingdirectory ~/
2) if the previous command open a directory selection window try to launch this command:
(replace ~/Desktop/isotomount.iso with the path of iso to mount)

mntDir=$(kdialog --getexistingdirectory ~/) && echo $(kdialog --password "insert root password") | sudo -S mount -o loop -t iso9660 ~/Desktop/isotomount.iso $mntDir; dolphin $mntDir;


Reply to this

-

 Improvements

 
 by feder77 on: Apr 23 2012
 
Score 50%

Hi! Nice idea!

Some improvements:
* Handle errors.
* There's no need to ask for mounted directory when unmounting.
* Support for OS without sudo configured [0]

[0]= Using gksu instead of sudo. Ok, I know, we are using kde, not gnome, but I like gksu very much.

Implementation:
[Desktop Action mountiso]
Exec=mntDir=`kdialog --getexistingdirectory ~/` && gksu -- mount -o loop -t iso9660 "%u" "$mntDir" && dolphin "$mntDir" || kdialog --error "Error mounting!"
...

[Desktop Action umountiso]
Exec=mntDir=`mount | grep iso | grep "%u" | sed 's/.* on \\(.*\\) type iso9660.*/\\1/' | perl -e '$matches = 1; while (<STDIN>) { print "$_"; if (!($_ =~ /^$/)) { $matches = 0 } }; exit $matches;'` && ( gksu -- umount "$mntDir" && kdialog --passivepopup "Unmounted!" || kdialog --error "Error unmounting!" ) || kdialog --error "Not mounted!"

Cheers!


Reply to this

-

 Re: Improvements

 
 by janet on: Sep 25 2012
 
Score 50%

Alas all this does not work for me when I replace gksu with kdesu. And I don't want to use sudo. Therefore I now use a very simple servicemenu with the following two commands:

For mounting in a fixed directory (which must exist):
Exec=kdesu -c 'mount -o loop -t iso9660 %f /mnt/iso'

and for umounting:
Exec=kdesu -c 'umount %f'

This works but does not give any feedback.
I tried to append ; dolphin /mnt/iso to the mount command and ; kdialog --passivepopup "Unmounted!" to the unmount command (and both variants with && instead of the semicolon) but in all cases I then don't get any password dialog and the actions fail.


Reply to this

-

 New command

 
 by virgolus on: Sep 26 2012
 
Score 50%

I have modified mount command in this way:

mntDir=`kdialog --getexistingdirectory ~/`; suCmd="kdesudo"; command -v kdesudo >/dev/null 2>&1 || { suCmd="kdesu" >&2; }; `echo $suCmd` -c "mount -o loop -t iso9660 %u $mntDir"; dolphin $mntDir;

Read the initial note for changes.
It's ok for you?


Reply to this

-

 New command

 
 by virgolus on: Sep 26 2012
 
Score 50%

I have modified mount command in this way:

mntDir=`kdialog --getexistingdirectory ~/`; suCmd="kdesudo"; command -v kdesudo >/dev/null 2>&1 || { suCmd="kdesu" >&2; }; `echo $suCmd` -c "mount -o loop -t iso9660 %u $mntDir"; dolphin $mntDir;

Read the initial note for changes.
It's ok for you?


Reply to this

-
.

 Improvements

 
 by march84 on: Nov 7 2012
 
Score 50%

is it not possible to make it rely on policykit instead of kdesudo or gksu?


Reply to this

-

 Handling filenames with spaces

 
 by Jtalk on: Dec 8 2012
 
Score 50%

Script does not work for paths with spaces. Enclosing %u and mntDir in single quotes must solve the issue. Something like:
`echo $suCmd` -c "mount -o loop -t iso9660 '$fileName' '$mntDir'"


Reply to this

-

 Re: Handling filenames with spaces

 
 by ptwales on: Mar 16 2014
 
Score 50%

Confirmed that this is a problem. It will not mount or give any errors when trying to mount an ISO with Spaces in the filename.

Should it be double quotes though? Single quotes would be literal.


Reply to this

-

 Re: Handling filenames with spaces

 
 by virgolus on: Mar 20 2014
 
Score 50%

Thx, I've correct it.


Reply to this

goto page:  1  2 

Add commentBack






-

-
Do you like or dislike Ubuntu Unity?
 Yes, unity is alien technology!
 It is less confusing than Gnome 3 default, shell.
 Granny thinks it is much more usable than Gnome 2
 Canonical is embarrasing itself with this split project
 Gnome 3 default shell is much better
 I dislike Unity, Gnome 3 default shell is alien technology!
 None of the above, I like the 2Gb for free and Apple alike behavior. Will post a comment instead

resultmore




 
 
 Who we are
Contact
More about us
Frequently Asked Questions
Register
Twitter
Blog
Explore
Artwork
Jobs
Knowledge
Events
People
Updates on identi.ca
Updates on Twitter
Facebook App
Content RSS   
News RSS   
Discussion RSS   
Events RSS   

Participate
Groups
Forum
Add Artwork
Public API
About KDE-Look.org
Legal Notice
Spreadshirt Shop
CafePress Shop
Advertising
Sponsor us
Report Abuse
 

Copyright 2001-2014 KDE-Look.org Team  
All rights reserved. KDE-Look.org is not liable for any content or goods on this site.
All contributors are responsible for the lawfulness of their uploads.
KDE and K Desktop Environment are trademarks of KDE e.V.